> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 3.0 Motion Control

> Kling 3.0 Motion Control API 可将一段参考视频中的动作迁移到一张图片上，输出 720p 或 1080p。视频朝向模式下最长 30 秒，并可选面部元素；图片朝向模式下最长 10 秒。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

`kling-3.0-motion-control` 结合一张参考图片和一段参考视频，将动作迁移到目标角色上。

## 模型

* **kling-3.0-motion-control** - 从参考视频到参考图片的动作迁移

## 必填参数

* **image\_urls**：恰好 `1` 张参考图片
* **video\_urls**：恰好 `1` 段参考视频
* **character\_orientation**：`image` 或 `video`

## 可选参数

* **prompt**：可选的场景提示词
* **resolution**：`720p` 或 `1080p`。默认为 `720p`
* **kling\_elements**：可选的面部一致性元素。仅在 `character_orientation=video` 时可用

## 注意事项

* 图片支持 `.jpg`、`.jpeg`、`.png`，最大 `10MB`
* 视频支持 `.mp4`、`.mov`，最大 `100MB`
* 参考视频至少 `3` 秒
* 当 `character_orientation=image` 时，参考视频不得超过 `10` 秒
* 当 `character_orientation=video` 时，参考视频不得超过 `30` 秒
* `kling_elements` 仅支持 `1` 个面部元素。每个元素需要 `frontal_image_url` 和包含 `1` 到 `3` 张图片的 `reference_image_urls`
* 使用 `kling_elements` 时，在提示词中以 `@Element1` 引用该元素


## OpenAPI

````yaml zh/api-manual/video-series/kling-3-0-motion-control.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Kling 3.0 Motion Control API
  description: >-
    Kling 3.0 Motion Control API 将一个参考视频中的动作迁移到一张图像上，分辨率为 720p 或 1080p。video
    朝向模式下最长 30 秒，并可选提供一个面部元素；image 朝向模式下最长 10 秒。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Kling 3.0 Motion Control
      summary: 提交 Kling 3.0 Motion Control 任务
      description: 将参考视频中的动作迁移到参考图像上
      operationId: submitKling30MotionControlTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              kling-3-0-motion-control:
                summary: Kling 3.0 Motion Control
                value:
                  model: kling-3.0-motion-control
                  callback_url: https://your-domain.com/callback
                  input:
                    image_urls:
                      - >-
                        https://storage.poyo.ai/kling-3.0-motion-control/reference-image-new.png
                    video_urls:
                      - >-
                        https://storage.poyo.ai/kling-3.0-motion-control/reference-video-new.mp4
                    character_orientation: video
                    resolution: 720p
                    prompt: >-
                      Keep the identity consistent and reference @Element1 for
                      facial details
                    kling_elements:
                      - frontal_image_url: https://example.com/front-face.png
                        reference_image_urls:
                          - https://example.com/face-angle-1.png
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: Kling 3.0 Motion Control 模型标识符
          enum:
            - kling-3.0-motion-control
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - image_urls
            - video_urls
            - character_orientation
          properties:
            prompt:
              type: string
              description: 可选的场景细节提示词。可以为空，最多 2,500 个字符。
              maxLength: 2500
              example: Keep the character movement smooth and natural
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: 参考图像 URL 数组。仅支持一张图像。支持 JPG、JPEG、PNG，最大 10MB
              example:
                - >-
                  https://storage.poyo.ai/kling-3.0-motion-control/reference-image-new.png
            video_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: 参考视频 URL 数组。仅支持一个视频。支持 MP4、MOV，最大 100MB
              example:
                - >-
                  https://storage.poyo.ai/kling-3.0-motion-control/reference-video-new.mp4
            character_orientation:
              type: string
              description: 角色朝向模式
              enum:
                - image
                - video
              example: image
            resolution:
              type: string
              description: 输出分辨率
              enum:
                - 720p
                - 1080p
              default: 720p
              example: 720p
            kling_elements:
              type: array
              maxItems: 1
              items:
                type: object
                required:
                  - frontal_image_url
                  - reference_image_urls
                properties:
                  frontal_image_url:
                    type: string
                    format: uri
                    description: 面部元素主视图必填的正面图像 URL。支持 JPG、JPEG、PNG、WebP，最大 10MB
                    example: https://example.com/front-face.png
                  reference_image_urls:
                    type: array
                    items:
                      type: string
                      format: uri
                    minItems: 1
                    maxItems: 3
                    description: 其他角度的面部参考图像 URL。支持 1-3 张图像
                    example:
                      - https://example.com/face-angle-1.png
              description: >-
                可选的面部一致性元素定义。仅在 `character_orientation` 为 `video` 时可用。仅支持 1
                个元素，可在提示词中以 `@Element1` 引用。提供元素时，`frontal_image_url` 和
                `reference_image_urls` 均为必填
              example:
                - frontal_image_url: https://example.com/front-face.png
                  reference_image_urls:
                    - https://example.com/face-angle-1.png
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.